> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create tag

> Create a Tag in the team.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples post /tags
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /tags:
    post:
      tags:
        - Tags
      summary: Create tag
      description: |
        Create a Tag in the team.
      operationId: create-tag
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - tags
                    attributes:
                      type: object
                      properties:
                        name:
                          type: string
                          description: Name of the Tag
                          maxLength: 40
                        description:
                          type: string
                          description: Description of the Tag
                          nullable: true
                          maxLength: 255
                        color:
                          type: string
                          default: '#ffffff'
                          description: Color of the Tag
            examples:
              Created:
                summary: Created
                value:
                  data:
                    type: tags
                    attributes:
                      name: Tag Name
                      description: Tag Description
                      color: '#bebebe'
          application/vnd.api+json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - tags
                    attributes:
                      type: object
                      properties:
                        name:
                          type: string
                          description: Name of the Tag
                          maxLength: 40
                        description:
                          type: string
                          description: Description of the Tag
                          nullable: true
                          maxLength: 255
                        color:
                          type: string
                          default: '#ffffff'
                          description: Color of the Tag
            examples:
              Created:
                summary: Created
                value:
                  data:
                    type: tags
                    attributes:
                      name: Tag Name
                      description: Tag Description
                      color: '#bebebe'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/vnd.api+json:
              examples:
                Created:
                  value:
                    data:
                      id: tag_Rz8Ka32gLoUAZJYxkMrxiR8j9Ppa
                      type: tags
                      attributes:
                        name: Tag Name
                        slug: tag-name
                        description: Tag Description
                        color: '#bebebe'
                        team:
                          id: team_P5gz2MnmXoT4JXGwobmvf8bVoV3
                          name: 628 Team
                          slug: 628-team
                          description: 628 Team
                          address: 300 Jacqueline Village, Lake Shaunmouth, NH 56746
                          status: verified
                          currency:
                            id: cur_AW6Q2D9lqKLpr
                            code: BRL
                            name: Brazilian Real
                            currency_id: null
              schema:
                $ref: '#/components/schemas/custom_tag'
        '422':
          description: Unprocessable Entity
          content:
            application/vnd.api+json:
              examples:
                NameAlreadyTaken:
                  value:
                    errors:
                      - code: NAME_ALREADY_TAKEN
                        detail: is already taken
                        source:
                          pointer: /data/attributes/name
                NameTooSimilar:
                  value:
                    errors:
                      - code: NAME_TOO_SIMILAR
                        detail: is too similar to an existing tag name
                        source:
                          pointer: /data/attributes/name
              schema:
                $ref: '#/components/schemas/error_object'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            import latitudesh_python_sdk
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.tags.create(data={
                    "type": latitudesh_python_sdk.CreateTagTagsType.TAGS,
                    "attributes": {
                        "name": "Tag Name",
                        "description": "Tag Description",
                        "color": "#bebebe",
                    },
                })

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Tags.Create(ctx, operations.CreateTagTagsRequestBody{\n        Data: &operations.CreateTagTagsData{\n            Type: operations.CreateTagTagsTypeTags.ToPointer(),\n            Attributes: &operations.CreateTagTagsAttributes{\n                Name: latitudeshgosdk.Pointer(\"Tag Name\"),\n                Description: latitudeshgosdk.Pointer(\"Tag Description\"),\n                Color: latitudeshgosdk.Pointer(\"#bebebe\"),\n            },\n        },\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.CustomTag != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.tags.create({
                data: {
                  type: "tags",
                  attributes: {
                    name: "Tag Name",
                    description: "Tag Description",
                    color: "#bebebe",
                  },
                },
              });

              console.log(result);
            }

            run();
components:
  schemas:
    custom_tag:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/custom_tag_data'
        meta:
          type: object
    error_object:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                nullable: true
              status:
                type: string
              title:
                type: string
              detail:
                type: string
              source:
                type: object
                properties:
                  pointer:
                    type: string
                  parameter:
                    type: string
              meta:
                type: object
    custom_tag_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - tags
        attributes:
          type: object
          properties:
            name:
              type: string
              description: Name of the Tag
            slug:
              type: string
              description: Slug of the Tag
            description:
              type: string
              description: Description of the Tag
            color:
              type: string
              description: Color of the Tag
            team:
              $ref: '#/components/schemas/team_include'
    team_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        address:
          type: string
        currency:
          type: object
        status:
          type: string
        feature_flags:
          type: array
          items:
            type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````